Package org.apache.maven.scm.provider.hg.command.changelog

## Class HgChangeLogConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.hg.command.HgConsumer
    - - org.apache.maven.scm.provider.hg.command.changelog.HgChangeLogConsumer

All Implemented Interfaces:
  `org.codehaus.plexus.util.cli.StreamConsumer`

    public class HgChangeLogConsumer
    extends HgConsumer

Author:
  thurner rupert, Mads Mohr Christensen

### Constructor Summary

Constructors
`HgChangeLogConsumer​(ScmLogger logger, java.lang.String userDatePattern)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine​(java.lang.String line)`
`void` `doConsume​(ScmFileStatus status, java.lang.String line)`
`java.util.List<ChangeSet>` `getModifications()`

### Methods inherited from class org.apache.maven.scm.provider.hg.command.HgConsumer

`getStdErr`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HgChangeLogConsumer

    public HgChangeLogConsumer​(ScmLogger logger,
                               java.lang.String userDatePattern)

### Method Detail

#### getModifications

    public java.util.List<ChangeSet> getModifications()

#### consumeLine

    public void consumeLine​(java.lang.String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`
Overrides:
  `consumeLine` in class `HgConsumer`

#### doConsume

    public void doConsume​(ScmFileStatus status,
                          java.lang.String line)

Overrides:
  `doConsume` in class `HgConsumer`